Registry Mechanic Quick Start Guide

Registry Mechanic is an easy-to-use application that uses high-performance algorithms to quickly identify invalid or orphaned references within the Windows Registry and allows you to repair each problem selectively or repair them all automatically.

This Quick Start Guide is designed to get you started using Registry Mechanic immediately. When Registry Mechanic starts, the Main Status screen displays. From this screen, you can start scanning your computer's Windows Registry for problems, and introduce registry tweaks and compact the registry to improve system performance.

Note: Click here for detailed Registry Mechanic Help, which is available online. An Internet connection is required to view this documentation.

Main Status screen

Select an Action

This section provides immediate access to the main functions of Registry Mechanic. Clicking these buttons does the following actions:

Starts an immediate Full Scan of the Windows Registry for problems.

Note: The Scan results screen displays at the end of the scan. No registry changes are implemented until you click the Repair button on this screen.

Introduces a series of Windows Registry tweaks to improve system performance.

Displays the Registry Compacting screen, where you can start the registry compaction process to improve system performance by clicking the Yes button.

Status & Summary

This section of the Main Status screen displays information on the last scan date and time, a summary of the last scan results and the date and time of the last registry compaction.

If 'Click to reset statistics' is selected, the Status & Summary section displays the current build number of the Registry Mechanic application and a reminder to compact the registry.

Navigation

Clicking these buttons on the left of the product interface does the following actions:

Displays the Main Status screen, where you can initiate a Full Scan of the Windows Registry for problems, introduce Windows Registry tweaks and compact the registry for improved system performance.

Starts a Full Scan of the Windows Registry for problems. Note: The Scan results screen displays at the end of the scan. No registry changes are implemented until you click the Repair button on this screen.

Displays the Restore registry backup screen, where you can undo any changes to the Windows Registry made by Registry Mechanic after running a Scan and Repair.

Provides access to the Options categories, which includes General, Custom Scan, Scanning Paths and Ignore Lists. Registry Mechanic's overall functionality and scanning behavior can be adjusted using the settings available in each Options category.

Displays the About screen, where you can view more information about your current installation and version of Registry Mechanic. Note: This button is only visible while Registry Mechanic is registered.

Smart Update

The Smart Update function can be initiated at any time by clicking Smart Update at the top of the product interface. Please be aware that the main Registry Mechanic application closes temporarily while updates are downloading and implemented. Registry Mechanic restarts immediately once this process is complete. Note: Smart Update is only available to registered users of Registry Mechanic.

Help menu

The Help menu provides access to this Quick Start Guide, as well as relevant Registry Mechanic pages on the PC Tools web site, and the product About screen.

Detailed online help

Click here for detailed Registry Mechanic Help, which is available online. Note: An Internet connection is required to view this documentation.

Copyright © 2003 PC Tools Research Pty Ltd. All rights reserved.


Smart Update

Smart Update updates Registry Mechanic's features online. These features include updates to Registry Mechanic's Internal Ignore list, main application files for upgraded functionality and minor Help updates.

Note: If the Quick Start Guide is to be updated during a Smart Update, please ensure that it is closed before commencing the download step.

To run Smart Update, complete the following steps:

  1. Click "Smart Update" on Registry Mechanic's screen. Note: Smart Update is only available to registered users of Registry Mechanic.

  2. The Smart Update wizard starts. Follow the prompts to download all available enhancements. If no updates are available, Smart Update indicates that Registry Mechanic is already updated. A green tick mark means the update is successfully downloaded and installed.

Notes:

  • If you see a red 'X' next to a component downloaded by Smart Update, it is possible that the component which Smart Update tried to update is being 'locked' by Windows, the download was interrupted, or Internet connectivity was lost during the component download. Please close and restart Registry Mechanic, including this Quick Start Guide, and immediately run Smart Update again. If you still see red 'X's next to downloaded components, try running Smart Update again later, or shut down and restart Windows, open Registry Mechanic and immediately run Smart Update again. If you are still seeing red 'X's next to downloaded components, please contact customer support.

  • To ensure all selected Smart Update components are successfully downloaded and installed, please run the entire Smart Update process to completion. If a Smart Update is terminated part way by clicking the Cancel button during the download step, the updates may not be installed and will need to be downloaded again in a subsequent Smart Update.

  • If the Registry Mechanic main application file is updated, it is recommended that you run Smart Update again. This ensures that you receive any component updates which are specific to the newer version of the main application file, since these can only be updated once the main application file has been downloaded and installed.

  • Please do not attempt to run a scan when utilizing Smart Update.

  3. Click the Finish button to exit the Smart Update wizard. Registry Mechanic restarts automatically. New feature components downloaded by Smart Update are available immediately.

Click here to view the Quick Start Guide.

Copyright © 2003 PC Tools Research Pty Ltd. All rights reserved.